Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class FrameElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.FrameElement

public class FrameElement
extends SinglePartElement

Add one FrameElement for each frame to a FrameSetElement object to lay out multiple frames. Use the methods in this class to set the attributes, such as source, margins, and scrolling for the frame. This class also supports JavaScript attributes for onLoad and onUnload.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FrameSetElement`, `NoFramesElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`FrameElement()` Deprecated. Constructs a FrameElement.
`FrameElement(java.lang.String src)` Deprecated. Constructs a FrameElement and sets its SRC attribute.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`FrameElement` | `setBorderColor(java.awt.Color color)` Deprecated. Sets the BORDERCOLOR attribute for a FrameElement.
`FrameElement` | `setBorderColor(java.lang.String color)` Deprecated. Sets the BORDERCOLOR attribute for a FrameElement.
`FrameElement` | `setFrameBorder(boolean border)` Deprecated. Sets the FRAMEBORDER attribute for a FrameElement.
`FrameElement` | `setMarginHeight(int val)` Deprecated. Sets the MARGINHEIGHT attribute for a FrameElement.
`FrameElement` | `setMarginHeight(java.lang.String val)` Deprecated. Sets the MARGINHEIGHT attribute for a FrameElement.
`FrameElement` | `setMarginWidth(int val)` Deprecated. Sets the MARGINWIDTH attribute for a FrameElement.
`FrameElement` | `setMarginWidth(java.lang.String val)` Deprecated. Sets the MARGINWIDTH attribute for a FrameElement.
`FrameElement` | `setName(java.lang.String val)` Deprecated. Sets the NAME attribute for a FrameElement.
`FrameElement` | `setName(WindowName val)` Deprecated. Sets the NAME attribute for a FrameElement with the specified WindowName object.
`FrameElement` | `setNoResize()` Deprecated. Sets the NORESIZE attribute.
`FrameElement` | `setOnLoad(java.lang.String attrib)` Deprecated. Sets the ONLOAD attribute.
`FrameElement` | `setOnUnload(java.lang.String attrib)` Deprecated. Sets the ONUNLOAD attribute.
`FrameElement` | `setScrolling(ScrollType val)` Deprecated. Sets the SCROLLING attribute with the specified ScrollType object.
`FrameElement` | `setSource(java.lang.String val)` Deprecated. Sets the SRC attribute for a FrameElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameElement

    public FrameElement()

  Deprecated.
  Constructs a FrameElement.

### FrameElement

    public FrameElement(java.lang.String src)

  Deprecated.
  Constructs a FrameElement and sets its SRC attribute.

  Parameters:
    `src` - Source of the frame

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### setBorderColor

    public FrameElement setBorderColor(java.lang.String color)

  Deprecated.
  Sets the BORDERCOLOR attribute for a FrameElement. Not supported by all browsers. Use a constant from HtmlColor, or a hex RGB value after the pattern "#FFFFFF".

  Parameters:
    `color` - HtmlColor constant or hex RGB value
  Returns:
    FrameElement
  See Also:
    `HtmlColor`

### setBorderColor

    public FrameElement setBorderColor(java.awt.Color color)

  Deprecated.
  Sets the BORDERCOLOR attribute for a FrameElement. Not supported by all browsers. Use a java.awt.Color object.

  Parameters:
    `color` - java.awt.Color object
  Returns:
    FrameElement
  See Also:
    `HtmlColor`

### setFrameBorder

    public FrameElement setFrameBorder(boolean border)

  Deprecated.
  Sets the FRAMEBORDER attribute for a FrameElement. Not supported by all browsers.

  Parameters:
    `border` - True if the attribute should be set
  Returns:
    FrameElement

### setMarginHeight

    public FrameElement setMarginHeight(java.lang.String val)

  Deprecated.
  Sets the MARGINHEIGHT attribute for a FrameElement.

  Parameters:
    `val` - Margin height
  Returns:
    FrameElement object

### setMarginHeight

    public FrameElement setMarginHeight(int val)

  Deprecated.
  Sets the MARGINHEIGHT attribute for a FrameElement.

  Parameters:
    `val` - Margin height
  Returns:
    FrameElement object

### setMarginWidth

    public FrameElement setMarginWidth(java.lang.String val)

  Deprecated.
  Sets the MARGINWIDTH attribute for a FrameElement.

  Parameters:
    `val` - Margin width
  Returns:
    FrameElement object

### setMarginWidth

    public FrameElement setMarginWidth(int val)

  Deprecated.
  Sets the MARGINWIDTH attribute for a FrameElement.

  Parameters:
    `val` - Margin width
  Returns:
    FrameElement object

### setName

    public FrameElement setName(java.lang.String val)

  Deprecated.
  Sets the NAME attribute for a FrameElement.

  Parameters:
    `val` - Name of the frame
  Returns:
    FrameElement object

### setName

    public FrameElement setName(WindowName val)

  Deprecated.
  Sets the NAME attribute for a FrameElement with the specified WindowName object.

  Parameters:
    `val` - WindowName object
  Returns:
    FrameElement object

### setNoResize

    public FrameElement setNoResize()

  Deprecated.
  Sets the NORESIZE attribute.

  Returns:
    FrameElement object

### setOnLoad

    public FrameElement setOnLoad(java.lang.String attrib)

  Deprecated.
  Sets the ONLOAD attribute.

  Parameters:
    `attrib` - Event handler for script
  Returns:
    FrameElement object

### setOnUnload

    public FrameElement setOnUnload(java.lang.String attrib)

  Deprecated.
  Sets the ONUNLOAD attribute.

  Parameters:
    `attrib` - Event handler for script
  Returns:
    FrameElement object

### setScrolling

    public FrameElement setScrolling(ScrollType val)

  Deprecated.
  Sets the SCROLLING attribute with the specified ScrollType object.

  Parameters:
    `val` - ScrollType object
  Returns:
    FrameElement object

### setSource

    public FrameElement setSource(java.lang.String val)

  Deprecated.
  Sets the SRC attribute for a FrameElement.

  Parameters:
    `val` - Source of the frame
  Returns:
    FrameElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD